import { generateIds } from '../../utils/ids';
let sequence = 1;
export class ResponseBuilder {
    constructor(request) {
        this.output = {};
        this.response = {};
        this.transformers = [];
        this.output = {
            ...generateIds(sequence++),
        };
        this.output.request = request;
    }
    withAxiosResponse(axiosResponse) {
        this.response = axiosResponse;
        return this;
    }
    withFirestoreResponse(firestoreResponse) {
        this.firestoreResponse = firestoreResponse;
        return this;
    }
    withData(data) {
        this.output.data = data;
        return this;
    }
    withIsSuccess(isSuccess) {
        this.output.isSuccess = isSuccess;
        return this;
    }
    withIsError(isError) {
        this.output.isError = isError;
        return this;
    }
    withErrorType(errorType) {
        this.output.errorType = errorType;
        return this;
    }
    withErrorMessage(errorMessage) {
        this.output.errorMessage = errorMessage;
        return this;
    }
    withStatus(status) {
        this.output.status = status;
        return this;
    }
    withTransformer(transformer) {
        this.transformers.push(transformer);
        return this;
    }
    build() {
        this.transformers.forEach((transformer) => {
            if (Array.isArray(this.output.data)) {
                this.output.data = this.output.data.map((item) => transformer(item));
            }
        });
        if (!this.response) {
            return this.output;
        }
        else {
            this.output.status = this.response.status;
            this.output.statusText = this.response.statusText;
            this.output.headers = this.response.headers;
            return this.output;
        }
    }
}
