export class LocalStorageQueryBuilder {
    constructor() {
        this.storageXPath = {
            key: '',
            xpath: '',
        };
    }
    withApiRequest(apiRequest) {
        this.apiRequest = apiRequest;
        return this;
    }
    build() {
        const { argsNodeName, argsApiVerb, argsNodeType, resourceId } = this.apiRequest; // prettier-ignore
        switch (argsNodeType) {
            case 'SINGLE_NODE':
                this.storageXPath.key = 'singles';
                this.storageXPath.xpath = argsNodeName;
                break;
            case 'GROUPED_LIST_NODE':
                this.storageXPath.key = argsNodeName;
                if (argsApiVerb === 'getItems') {
                    this.storageXPath.key += 'Items';
                    this.storageXPath.xpath = resourceId;
                }
            case 'COLLECTION_NODE':
            default:
                this.storageXPath.key = argsNodeName;
        }
        return this.storageXPath;
    }
}
