import { ApiResponse, ApiRequest, ApiErrorType } from '../../types';
import { AxiosResponse } from 'axios';
import { FirestoreResponse } from '../firestore/adapterFirestore';
type Transformer = (items: any) => any;
export declare class ResponseBuilder {
    private output;
    private response;
    private transformers;
    private firestoreResponse?;
    constructor(request: ApiRequest);
    withAxiosResponse(axiosResponse: AxiosResponse): this;
    withFirestoreResponse(firestoreResponse: FirestoreResponse): this;
    withData(data: any): this;
    withIsSuccess(isSuccess: boolean): this;
    withIsError(isError: boolean): this;
    withErrorType(errorType: ApiErrorType): this;
    withErrorMessage(errorMessage: string): this;
    withStatus(status: number): this;
    withTransformer(transformer: Transformer): this;
    build(): ApiResponse;
}
export {};
