import { Adapter, ApiRequest, ApiResponse } from '../../types';
import { ResponseBuilder } from '../_base/ResponseBuilder';
import { FirebaseApp } from './firebase.methods';
export declare class FirestoreAdapter implements Adapter {
    private db;
    constructor(app: FirebaseApp);
    GET: (request: ApiRequest, response: ResponseBuilder) => Promise<FirestoreResponse>;
    POST_main: (request: ApiRequest, response: ResponseBuilder) => Promise<{
        data: import("firebase/firestore/lite").DocumentData | undefined;
    }>;
    POST_sub: (request: ApiRequest, response: ResponseBuilder) => Promise<{
        data: import("firebase/firestore/lite").DocumentData | undefined;
    }>;
    POST_withItems: (request: ApiRequest, response: ResponseBuilder) => Promise<{
        data: import("firebase/firestore/lite").DocumentData | undefined;
    }>;
    POST: (request: ApiRequest, response: ResponseBuilder) => Promise<{
        data: import("firebase/firestore/lite").DocumentData | undefined;
    }>;
    PATCH: (request: ApiRequest, response: ResponseBuilder) => Promise<boolean | {
        data: import("firebase/firestore/lite").DocumentData | undefined;
    }>;
    PUT: (request: ApiRequest, _response: ResponseBuilder) => Promise<void>;
    DELETE_withItems: (request: ApiRequest, _response: ResponseBuilder) => Promise<{}>;
    DELETE: (request: ApiRequest, _response: ResponseBuilder) => Promise<{} | undefined>;
    _logRequest(request: ApiRequest): void;
    parseReturnedData(request: ApiRequest, res: FirestoreResponse): Json;
    fireRequest: (request: ApiRequest) => Promise<ApiResponse>;
    withDates(data: Json, withCreatedDate: boolean, withModifiedDate: boolean): {
        [x: string]: any;
    };
}
export type FirestoreResponse = {
    data: Json[];
};
