import { Filter, GetParams, FieldValue } from '../../types';
import { GetRequestBuilderRules } from './GetRulesBuilder';
export type GetRequest = {
    path: string;
    headers: Json;
    data: Json;
    params: FieldValue[];
    isInvalid?: boolean;
    invalidMessage?: string;
};
export declare class GetRequestBuilder {
    private request;
    private rules;
    private getParams;
    constructor();
    withPath(path: string): this;
    withRules(rules: GetRequestBuilderRules): this;
    withGetParams(getParams: GetParams): this;
    withMergedGetParamsFilters(filterOrFilters: Filter | Filter[]): this;
    paramsToQueryStrings(): void;
    validateParams(request: GetRequest): void;
    build(): GetRequest;
}
