import { ApiVerb, NodeType } from 'redux-store-generator';
import { ActionWithPromise, ApiRequest, ConnectionType } from '../types';
export declare class RequestBuilder {
    private output;
    constructor();
    withConnectionType(connectionType: ConnectionType): this;
    withNodeName(value: string): this;
    withMethod(value: ApiVerb): this;
    withNodeType(value: NodeType): this;
    withParams(params?: Record<string, any>): this;
    withOptimistic(optimistic?: boolean): this;
    withOptimisticPosts(optimisticPosts?: boolean): this;
    withOriginalAction(value: ActionWithPromise): this;
    build(): ApiRequest;
}
