import { Middleware } from 'redux';
type HookCallback = (store: any) => void;
export declare class StoreBuilder implements IStoreBuilder {
    private definition;
    private preMiddlewares;
    private postMiddlewares;
    private sagaMiddleware;
    private preBuildHooks;
    private postBuildHooks;
    constructor(name: string);
    withInitialState(appId: string, initialState?: Json): this;
    withPreBuildHook(callback: HookCallback): this;
    withPostBuildHook(callback: HookCallback): this;
    withReducers(appId: string, reducers: any): this;
    withMiddlewares(middlewares: Middleware | Middleware[]): this;
    withEnhancers(enhancers: any | any[]): this;
    withPreMiddlewares(...middlewares: any): this;
    withPostMiddlewares(...middlewares: any): this;
    withSagas(...sagas: any): this;
    withSagaMonitor(sagaMonitor: any): this;
    withSagaContext(context: any): this;
    clearSagas(): this;
    withDevtoolsExtensions(enable?: boolean): this;
    build<T = any>(): T;
}
export interface IStoreBuilder {
    withInitialState: (appId: string, initialState?: Json) => IStoreBuilder;
    withPreBuildHook: (callback: HookCallback) => IStoreBuilder;
    withPostBuildHook: (callback: HookCallback) => IStoreBuilder;
    withReducers: (appId: string, reducers: any) => IStoreBuilder;
    withMiddlewares: (middlewares: Middleware | Middleware[]) => IStoreBuilder;
    withEnhancers: (enhancers: any | any[]) => IStoreBuilder;
    withPreMiddlewares: (...middlewares: any) => IStoreBuilder;
    withPostMiddlewares: (...middlewares: any) => IStoreBuilder;
    withSagas: (...sagas: any) => IStoreBuilder;
    withSagaMonitor: (sagaMonitor: any) => IStoreBuilder;
    withSagaContext: (context: any) => IStoreBuilder;
    clearSagas: () => IStoreBuilder;
    withDevtoolsExtensions: (enable?: boolean) => IStoreBuilder;
    build<T = any>(): T;
}
export {};
