import { StoreStructure, NodeType } from 'redux-store-generator';
import { IReduxConnectedConfig, ConnectedStore } from '../types';
export declare const initialState: ConnectedStore;
export declare const cleanInitialState: (state: ConnectedStore) => {
    apiGlobalSettings: import("../types").ApiSettings;
    apiGlobalStats: import("../types").ApiStats;
    endpointsConfig: import("../types").EndpointsConfig;
    endpointsState: import("../types").EndpointsState;
    actionTypes: import("redux-store-generator").ApiInfoPerType;
    nodeTypes: Record<string, NodeType>;
    requests: import("../types").ApiRequests;
    _lastAction: import("../types").LastAction;
};
export declare const generateInitialState: <T extends StoreStructure>(storeState: T, options: Partial<IReduxConnectedConfig>) => {
    apiGlobalSettings: import("../types").ApiSettings;
    apiGlobalStats: import("../types").ApiStats;
    endpointsConfig: import("../types").EndpointsConfig;
    endpointsState: import("../types").EndpointsState;
    actionTypes: import("redux-store-generator").ApiInfoPerType;
    nodeTypes: Record<string, NodeType>;
    requests: import("../types").ApiRequests;
    _lastAction: import("../types").LastAction;
};
