export const createLiveObject = (object, onChange) => {
    const handler = {
        get: (_target, key) => {
            if (key in _target) {
                return _target[key];
            }
        },
        set: (_target, key, value) => {
            _target[key] = value;
            if (onChange) {
                const change = { [key]: value };
                onChange(change);
            }
            return true;
        },
    };
    return new Proxy(object, handler);
};
