import globals from './globals';
import { actions } from '../store/actions';
import { createLiveObject } from './liveObject';
export const createLiveRequest = (request) => {
    return createLiveObject(request, (change) => {
        const action = actions.requests.patch(request.id, change);
        globals.connectedStore.dispatch(action);
    });
};
export const createLiveRequests = (requests) => {
    return requests.map((request) => createLiveRequest(request));
};
export const getLiveRequests = (selector) => {
    const data = selector(globals.connectedStore.getState());
    return createLiveRequests(data);
};
