export const orderBy = (fieldName) => (a, b) => {
    if (a[fieldName] === b[fieldName]) {
        return 0;
    }
    return a[fieldName] > b[fieldName] ? 1 : -1;
};
export const sortFixtures = (small) => {
    small.logs.sort(orderBy('id'));
    small.products.sort(orderBy('price'));
    small.chats.sort(orderBy('id'));
    small.chatItems.sort(orderBy('timestamp'));
};
export const toArray = (objectOrArray) => {
    if (!objectOrArray) {
        return [];
    }
    return Array.isArray(objectOrArray) ? objectOrArray : [objectOrArray];
};
export const isEmpty = (object) => {
    if (Array.isArray(object)) {
        return object.length === 0;
    }
    return Object.keys(object ?? {}).length === 0;
};
export const itemsToObject = (items) => {
    return items.reduce((output, item) => {
        output[item.id] = item;
        return output;
    }, {});
};
